Skip to content
Commits on Feb 2, 2012
  1. Merge branch 'compatiblebydefault'

    Conflicts:
    	firefox/install.rdf
    committed Feb 2, 2012
  2. use the new compatible by default feature of Firefox 10

    Makes this addon compatible by default with all future versions
    of Firefox without changing the maxVersion number.
    
    minVersion should be >= Fx4 to make use of this new feature.
    committed Feb 2, 2012
Commits on Jan 30, 2012
Commits on Dec 1, 2011
  1. sync code with the add-on hosted at gs.netsend.nl

    * bump Firefox compatibility version number to 15.*
    * add gs.netsend.nl as extra proxy
    * show short status by default
    * bump add-on version number to 0.22.2
    committed Dec 1, 2011
Commits on Oct 21, 2011
Commits on Jun 29, 2011
  1. Turns out this is the new compatibility format.

    Moxie Marlinspike committed Jun 29, 2011
  2. And rev. version number on addon.

    Moxie Marlinspike committed Jun 29, 2011
  3. Bumped version for FF5

    Moxie Marlinspike committed Jun 29, 2011
Commits on Mar 15, 2011
  1. @roadrunner2
  2. @roadrunner2

    FF4 update: switch from status-bar to new addon-bar for ff4.

    This isn't strictly required yet, as FF4 implements some backwards
    compatibility function for the status-bar, but that is temporary and
    we might as well future proof now.
    
    See also
    http://mike.kaply.com/2011/01/25/the-firefox-4-add-on-bar-for-developers/
    roadrunner2 committed Mar 12, 2011
  3. @roadrunner2

    FF4 update: Ensure stream processing is all done on the same thread.

    As of FF4 (Gecko 2.0) JS objects can't be shared across threads (see
    https://bugzilla.mozilla.org/show_bug.cgi?id=608142). So we need to ensure
    the callbacks are run on the same thread as the one that was used to start
    things.
    
    Also, it may be worth considering using one of the existing stream-copying
    functions instead the hand-rolled one here - see
    https://developer.mozilla.org/en/Code_snippets/Miscellaneous#Copying_from_an_input_stream_to_an_output_stream
    roadrunner2 committed Mar 13, 2011
Commits on Mar 14, 2011
  1. @roadrunner2

    FF4 update: Ensure the extension is unpacked.

    As of FF4 extensions by default are left in their xpi; but the current
    code expects to load scripts from the components directory. In the long
    run the fix is to move those scripts into chrome/content/ and to load them
    via the "chrome://<extension>/content/<file>" url, but until then we force
    the unpacking.
    
    See also https://bugzilla.mozilla.org/show_bug.cgi?id=533038 and
    https://developer.mozilla.org/en/Firefox_4_for_developers#XPI_unpacking .
    roadrunner2 committed Mar 13, 2011
Commits on Mar 13, 2011
  1. @roadrunner2

    FF4 update: the nsIExtensionManager has been removed.

    To get the version, use the new AddonManager, as described in
    http://www.oxymoronical.com/blog/2010/03/How-were-breaking-some-extensions-in-the-near-future
    
    The retrieval of the prefs-directory has been changed to use the more
    general (and supported across all versions) approach outlined at the top
    of https://developer.mozilla.org/en/XUL_School/Local_Storage .
    roadrunner2 committed Mar 12, 2011
  2. @roadrunner2
Commits on Dec 9, 2010
  1. @moxie0

    initial import

    moxie0 committed Dec 9, 2010
Something went wrong with that request. Please try again.